/**
 * Copyright (C) 2024 Hedera Hashgraph, LLC
 *
 * Licensed under the Apache License, Version 2.0 (the ""License"");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an ""AS IS"" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 *
 */
import { type ListrTask } from 'listr2';
import { BaseCommand } from './base.js';
import { type CommandBuilder, type NodeAliases } from '../types/aliases.js';
import { type Opts } from '../types/command_types.js';
export declare class RelayCommand extends BaseCommand {
    private readonly profileManager;
    private readonly accountManager;
    constructor(opts: Opts);
    static get DEPLOY_CONFIGS_NAME(): string;
    static get DEPLOY_FLAGS_LIST(): import("../types/flag_types.js").CommandFlag[];
    static get DESTROY_FLAGS_LIST(): import("../types/flag_types.js").CommandFlag[];
    prepareValuesArg(valuesFile: string, nodeAliases: NodeAliases, chainID: string, relayRelease: string, replicaCount: number, operatorID: string, operatorKey: string, namespace: string): Promise<string>;
    /**
     * created a json string to represent the map between the node keys and their ids
     * output example '{"node-1": "0.0.3", "node-2": "0.004"}'
     */
    prepareNetworkJsonString(nodeAliases: NodeAliases, namespace: string): Promise<string>;
    prepareReleaseName(nodeAliases?: NodeAliases): string;
    deploy(argv: any): Promise<boolean>;
    destroy(argv: any): Promise<boolean>;
    getCommandDefinition(): {
        command: string;
        desc: string;
        builder: CommandBuilder;
    };
    /** Adds the relay component to remote config. */
    addRelayComponent(): ListrTask<any, any, any>;
    /** Remove the relay component from remote config. */
    removeRelayComponent(): ListrTask<any, any, any>;
    close(): Promise<void>;
}
